petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStageLogGetCurrent

This function returns the stage from the top of the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetCurrent(PetscStageLog stageLog, int *stage)

Not Collective

### Input Parameter

stageLog -The PetscStageLog

### Output Parameter

stage -The current stage

### Notes

If no stage is currently active, stage is set to -1.

Developer Notes: Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault()

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages